pcl::QuantizedNormalLookUpTable Struct Reference

Look-up-table for fast surface normal quantization. More...

`#include <pcl/recognition/surface_normal_modality.h>`

## Public Member Functions

| QuantizedNormalLookUpTable ()
| Constructor. More...
| ~QuantizedNormalLookUpTable ()
| Destructor. More...
void | initializeLUT (const int range_x_arg, const int range_y_arg, const int range_z_arg)
| Initializes the LUT. More...
unsigned char | operator() (const float x, const float y, const float z) const
| Operator to access an element in the LUT. More...
unsigned char | operator() (const int index) const
| Operator to access an element in the LUT. More...

## Public Attributes

int | range_x
| The range of the LUT in x-direction. More...
int | range_y
| The range of the LUT in y-direction. More...
int | range_z
| The range of the LUT in z-direction. More...
int | offset_x
| The offset in x-direction. More...
int | offset_y
| The offset in y-direction. More...
int | offset_z
| The offset in z-direction. More...
int | size_x
| The size of the LUT in x-direction. More...
int | size_y
| The size of the LUT in y-direction. More...
int | size_z
| The size of the LUT in z-direction. More...
unsigned char * | lut
| The LUT data. More...

## Detailed Description

Look-up-table for fast surface normal quantization.

Author
  Stefan Holzer

Definition at line 125 of file surface_normal_modality.h.

## Constructor & Destructor Documentation

pcl::QuantizedNormalLookUpTable::QuantizedNormalLookUpTable | ( |  | ) |

inline

Constructor.

Definition at line 152 of file surface_normal_modality.h.

pcl::QuantizedNormalLookUpTable::~QuantizedNormalLookUpTable | ( |  | ) |

inline

Destructor.

Definition at line 159 of file surface_normal_modality.h.

## Member Function Documentation

void pcl::QuantizedNormalLookUpTable::initializeLUT | ( | const int | range_x_arg,
|  | const int | range_y_arg,
|  | const int | range_z_arg
| ) |  |

inline

Initializes the LUT.

Parameters

  [in] | range_x_arg | the range of the LUT in x-direction.
  [in] | range_y_arg | the range of the LUT in y-direction.
  [in] | range_z_arg | the range of the LUT in z-direction.

Definition at line 171 of file surface_normal_modality.h.

unsigned char pcl::QuantizedNormalLookUpTable::operator() | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |  | const

inline

Operator to access an element in the LUT.

Parameters

  [in] | x | the x-component of the normal.
  [in] | y | the y-component of the normal.
  [in] | z | the z-component of the normal.

Definition at line 268 of file surface_normal_modality.h.

unsigned char pcl::QuantizedNormalLookUpTable::operator() | ( | const int | index | ) | const

inline

Operator to access an element in the LUT.

Parameters

  [in] | index | the index of the element.

Definition at line 283 of file surface_normal_modality.h.

## Member Data Documentation

unsigned char* pcl::QuantizedNormalLookUpTable::lut

The LUT data.

Definition at line 149 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::offset_x

The offset in x-direction.

Definition at line 135 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::offset_y

The offset in y-direction.

Definition at line 137 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::offset_z

The offset in z-direction.

Definition at line 139 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::range_x

The range of the LUT in x-direction.

Definition at line 128 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::range_y

The range of the LUT in y-direction.

Definition at line 130 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::range_z

The range of the LUT in z-direction.

Definition at line 132 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::size_x

The size of the LUT in x-direction.

Definition at line 142 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::size_y

The size of the LUT in y-direction.

Definition at line 144 of file surface_normal_modality.h.

int pcl::QuantizedNormalLookUpTable::size_z

The size of the LUT in z-direction.

Definition at line 146 of file surface_normal_modality.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/surface_normal_modality.h